org.apache.hadoop.fs

## Class StreamCapabilitiesPolicy

- java.lang.Object
- - org.apache.hadoop.fs.StreamCapabilitiesPolicy

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class StreamCapabilitiesPolicy
      extends Object

  Static methods to implement policies for `StreamCapabilities`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CAN_UNBUFFER_NOT_IMPLEMENTED_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamCapabilitiesPolicy()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `unbuffer(InputStream in)` Implement the policy for `CanUnbuffer.unbuffer()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAN_UNBUFFER_NOT_IMPLEMENTED_MESSAGE

          public static final String CAN_UNBUFFER_NOT_IMPLEMENTED_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamCapabilitiesPolicy

          public StreamCapabilitiesPolicy()

  - ### Method Detail

    - #### unbuffer

          public static void unbuffer(InputStream in)

      Implement the policy for `CanUnbuffer.unbuffer()`.
      Parameters:
        `in` - the input stream

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.